What versions of Quickbooks are supported by CommuSoft's integration?

• QuickBooks Enterprise Solutions

• QuickBooks Premier (2002 or later)

• QuickBooks Premier Accountant (2002 or later)

• QuickBooks Pro (2002 or later)

• QuickBooks Simple Start (2006 or later)

• QuickBooks Point of Sale (v.4.0 or later)

• UK editions of QuickBooks (2003-2008)

Have more questions? Submit a request

0 Comments

Article is closed for comments.